%define oname   log4r

Name:       ruby-%{oname}
Version:    1.1.10
Release:    %mkrel 16
Summary:    Log4r, logging framework for ruby
License:    GPLv2
Group:      Development/Ruby
URL:        http://log4r.rubyforge.org
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Log4r is a comprehensive and flexible logging library written in Ruby for use
in Ruby programs. It features a hierarchical logging system of any number of
levels, custom level names, logger inheritance, multiple output destinations,
execution tracing, custom formatting, thread safetyness, XML and YAML
configuration, and more.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.10-16.mga10
+ Revision: 2210988
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.1.10-15.mga9
+ Revision: 1825989
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.10-14.mga8
+ Revision: 1499801
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.10-13.mga7
+ Revision: 1275148
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 pterjan <pterjan> 1.1.10-12.mga6
+ Revision: 1062535
- Use gem_setup

* Mon Feb 08 2016 umeabot <umeabot> 1.1.10-11.mga6
+ Revision: 946826
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.10-10.mga5
+ Revision: 748200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.10-9.mga5
+ Revision: 688857
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.1.10-8.mga4
+ Revision: 562000
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.1.10-7.mga4
+ Revision: 561380
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.10-6.mga4
+ Revision: 535521
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.1.10-5.mga4
+ Revision: 482191
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 1.1.10-4.mga4
+ Revision: 476428
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 1.1.10-3.mga3
+ Revision: 396128
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.10-2.mga3
+ Revision: 381109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.10-1.mga3
+ Revision: 313158
- new version 1.1.10

* Sun Feb 13 2011 shikamaru <shikamaru> 1.1.9-1.mga1
+ Revision: 51510
- imported package ruby-log4r


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.9-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.1.9

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-8mdv2010.0
+ Revision: 433539
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-7mdv2009.0
+ Revision: 260429
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-6mdv2009.0
+ Revision: 251709
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.0.5-4mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.0.5-4mdv2008.0
+ Revision: 16898
- Use Development/Ruby group
- Use std macros
- Use mkrel


* Tue May 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.5-3mdk
- fix lib64

* Mon Apr 04 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.5-2mdk
- BuildRequires ruby

* Mon Jan 12 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.5-1mdk 
- first mdk release

